#include <conio.h>
#include <iostream.h>
#include <string.h>
#include <dos.h>
#include <graphics.h>

//Declare Graphics
void graphin()
 {
 int graphdriver = DETECT, graphmode;
 initgraph(&graphdriver, &graphmode, "");
 }

/**************************************************************************
Function: Letter By Letter (lbyl)
Use     : Displays One Letter at a time with a specified delay and distance
	  between letters.
Syntax  : lbyl(char[50],int,int);
Format  : lbyl("Text",delay,space_between_letters);
Example : lbyl("Binny Made This",200,0);
**************************************************************************/
void lbyl(char a[50],int dtime,int spaced)
 {
 int l,i;
 l=strlen(a);
 for (i=0;i<l;i++)
  {
  delay(dtime);
  cout<<a[i];
  if(spaced)
   {
   for(int j=0;j<spaced;j++)
   cout<<" ";
   }
  }
 }

/**************************************************************************
Function: Words (words)
Use     : Displays a pretty screen with the first text on top and second
	  one on the middle. Then a line is drawn under it and the user is
	  asked to press any key.
Syntax  : words(char[25],char[35]);
Format  : words("First Text","Second Text");
Example : words("Binny is ","The One");
Note    : Graphics must be declared
**************************************************************************/
void words(char a[25],char b[30])
 {
 setcolor(YELLOW);
 settextstyle(7,0,6);
 outtextxy(200,100,a);
 for(int ff=10;ff<255;ff++)
  {
  settextstyle(10,0,5);
  setcolor(LIGHTGREEN );
  outtextxy(ff*24,85,".");
  setcolor(BLACK);
  delay(1);
  outtextxy(ff*24 ,85,".");
  }
 setcolor(YELLOW);
 settextstyle(7,0,6);
 outtextxy(200,100,a);
 settextstyle(7,0,6);
 delay(500);
 setcolor(LIGHTGREEN);
 outtextxy(200,100,a);
 setcolor(YELLOW);
 settextstyle(7,0,6);
 outtextxy(70,180,b);
 for(ff=10;ff<255;ff++)
  {
  settextstyle(10,0,5);
  setcolor(LIGHTGREEN );
  outtextxy(ff*24,170,".");
  setcolor(BLACK);
  delay(1);
  outtextxy(ff*24 ,170,".");
  }
 setcolor(YELLOW);
 settextstyle(7,0,6);
 outtextxy(70,180,b);
 settextstyle(7,0,6);
 delay(500);
 setcolor(LIGHTGREEN);
 outtextxy(70,180,b);
 setcolor(RED);
 for(int li=70;li<600;li++)
  {
  delay(4);
  outtextxy(li,194,".");
  }
 while(!kbhit())
  {
  settextstyle(11,0,2);
  for(int bv=10;bv<255;bv++)
   {
   setcolor(LIGHTGREEN);
   outtextxy(bv*4,300,"");
   setcolor(BLACK);
   delay(2);
   outtextxy(bv*4 ,300,"");
   }
  settextstyle(11,0,2);
  setcolor(GREEN);
  outtextxy(400+50,300,"Press Any Key");
  delay(300);
  setcolor(LIGHTGREEN);
  outtextxy(400+50,300,"Press Any Key");
  setcolor(RED);
  outtextxy(510+50,300,">");
  delay(80);
  outtextxy(515+50,300,">");
  delay(80);
  outtextxy(520+50,300,">");
  setcolor(GREEN);
  outtextxy(510+50,300,">");
  delay(80);
  outtextxy(515+50,300,">");
  delay(80);
  outtextxy(520+50,300,">");
  }
//  closegraph();
 }

/**************************************************************************
Function: Loading Pie (loadpie)
Use     : Displays a pie(circle) with two colours and one colour will fill
	  the pie after some time. When this is compleated, the text will
	  change and function ends.
Syntax  : loadpie();
Format  : loadpie();
Example : loadpie();
Note    : Graphics have to be initialised before this function.
**************************************************************************/
void loadpie()
{
 settextstyle(0,0,2);
 setcolor(YELLOW);
 outtextxy(250,200,"Loading");
 setfillstyle(10,BLUE);
 circle(550,400,50);
 setfillstyle(1,LIGHTGREEN);;
 for(int en=0;en<=360;en++)
  {
  pieslice(550,400,0,en,50);
  delay(10);
  }
 settextstyle(0,0,2);
 setcolor(BLACK);
 outtextxy(250,200,"");
 for(int com=10;com<225;com++)
  {
  settextstyle(0,0,2);
  setcolor(LIGHTRED);
  outtextxy(com*19,200,"");
  setcolor(BLACK);
  delay(2);
  outtextxy(com*19 ,200,"");
  }
 settextstyle(0,0,2);
 setcolor(LIGHTRED);
 outtextxy(250,200,"Complete");
 int p[10];
 delay(600);
 setcolor(BLACK);
 fillpoly(5,p);
 }

/**************************************************************************
Function: Loading Bar (loadbar)
Use     : Displays a bar whose length increases till it fills the box and a
	  specified delay. It also puts a predefined text in a box above.
Syntax  : loadbar(char[8],int);
Format  : loadbar("Text",Delay);
Example : loadbar("Loading",150);
**************************************************************************/
void loadbar(char text[8], int dtime)
{
gotoxy(36,6);
cputs("Ŀ");
gotoxy(36,7);
cputs("        ");
gotoxy(36,8);
cputs("");
gotoxy(37,7);cputs(text);
gotoxy(30,17);
cputs("Ŀ");
gotoxy(30,18);
cputs("                      ");
gotoxy(30,19);
cputs("");
for (int i=31;i<53;i++)
 {
 gotoxy(i,18);
 cputs("");
 delay(dtime);
 }
gotoxy(36,6);
cputs("Ŀ");
gotoxy(36,7);
cputs("Complete");
gotoxy(36,8);
cputs("");
}

/**************************************************************************
Visuals.h
---------
Great visual effects with simple functions.
Programer : Binny V Abraham
E-Mail    : binnyva@hotmail.com
Website   : http://binnyva.tripod.com/code

For More Header Files Visit My Site...
**************************************************************************/